UbixOS V2 2.0

Data Fields
fat_dir_entry Struct Reference

`#include <fat_defs.h>`

Collaboration diagram for fat_dir_entry:

## Data Fields
uint8 | Attr
uint8 | CrtDate [2]
uint8 | CrtTime [2]
uint8 | CrtTimeTenth
uint32 | FileSize
uint16 | FstClusHI
uint16 | FstClusLO
uint8 | LstAccDate [2]
uint8 | Name [11]
uint8 | NTRes
uint8 | WrtDate [2]
uint8 | WrtTime [2]

## Detailed Description

Definition at line 112 of file fat_defs.h.

## Field Documentation

## ◆ Attr

uint8 fat_dir_entry::Attr

Definition at line 115 of file fat_defs.h.

Referenced by fatfs_entry_is_dir(), fatfs_entry_is_file(), fatfs_entry_lfn_exists(), fatfs_entry_lfn_invalid(), fatfs_entry_lfn_text(), fatfs_entry_sfn_only(), and fatfs_sfn_create_entry().

## ◆ CrtDate

uint8 fat_dir_entry::CrtDate[2]

Definition at line 119 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ CrtTime

uint8 fat_dir_entry::CrtTime[2]

Definition at line 118 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ CrtTimeTenth

uint8 fat_dir_entry::CrtTimeTenth

Definition at line 117 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ FileSize

uint32 fat_dir_entry::FileSize

Definition at line 125 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ FstClusHI

uint16 fat_dir_entry::FstClusHI

Definition at line 121 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ FstClusLO

uint16 fat_dir_entry::FstClusLO

Definition at line 124 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ LstAccDate

uint8 fat_dir_entry::LstAccDate[2]

Definition at line 120 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ Name

uint8 fat_dir_entry::Name[11]

Definition at line 114 of file fat_defs.h.

Referenced by fatfs_entry_lfn_exists(), fatfs_entry_lfn_invalid(), fatfs_entry_sfn_only(), and fatfs_sfn_create_entry().

## ◆ NTRes

uint8 fat_dir_entry::NTRes

Definition at line 116 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ WrtDate

uint8 fat_dir_entry::WrtDate[2]

Definition at line 123 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

## ◆ WrtTime

uint8 fat_dir_entry::WrtTime[2]

Definition at line 122 of file fat_defs.h.

Referenced by fatfs_sfn_create_entry().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/fs/fat/fat_defs.h